---
version: "3.3"
services:
  prometheus_server:
    image: prom/prometheus:latest
    container_name: prometheus_server
    restart: unless-stopped
    volumes:
      - ./resources/config/prometheus.yml:/etc/prometheus/prometheus.yml:ro
      - prometheus_data:/prometheus
      - /etc/timezone:/etc/timezone:ro
    command:
      - "--config.file=/etc/prometheus/prometheus.yml"
    ports:
      - 9090:9090

  grafana:
    image: grafana/grafana:latest
    container_name: grafana
    restart: unless-stopped
    environment:
      - GF_SECURITY_ADMIN_USER=admin
      - GF_SECURITY_ADMIN_PASSWORD=admin
      - GF_AUTH_ANONYMOUS_ENABLED=true
    depends_on:
      - prometheus_server
    volumes:
      - ./resources/provisioning/grafana:/etc/grafana/provisioning:ro
      - grafana_data:/var/lib/grafana
      - /etc/timezone:/etc/timezone:ro
    ports:
      - 3000:3000

  blackbox_exporter:
    image: prom/blackbox-exporter:latest
    container_name: blackbox_exporter
    restart: unless-stopped
    ports:
      - 9115:9115
    volumes:
      - ./resources/config/blackbox-exporter.yml:/etc/prometheus/blackbox-exporter.yml:ro
      - /etc/timezone:/etc/timezone:ro
    command:
      - "--config.file=/etc/prometheus/blackbox-exporter.yml"

volumes:
  prometheus_data:
  grafana_data:
